local _, addon_table = ...
local EnhancedModelScene = addon_table.self

local Repeatable = {}
EnhancedModelScene.Repeatable = Repeatable


function Repeatable.Slide(self, steps)
	steps = steps or 1
	
	self.actor:SlideOnAxis(self.axis, steps * self.distance)
end


function Repeatable.New(func)
	local repeatable = {}
	
	repeatable.func = func
	
	function repeatable:Do(...)
		self:func(...)
	end
	
	return repeatable
end
